/*
	$Id: PHOArrayUtils.java,v 1.2 2003/01/07 09:09:29 admin Exp $
	-----
	
    Standalone utilities written by Nanashi~3.PHO
    Copyright (C) 2002 phonohawk.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
import com.apple.cocoa.foundation.*;
import java.util.*;

public class PHOArrayUtils
{
    public static Vector newVectorFromNSArray(NSArray array)
    {
		final int size_array = array.count();
		Vector vec = new Vector(size_array);
		for (int i = 0; i < size_array; i++) {
			vec.add(array.objectAtIndex(i));
		}
		return vec;
    }
	
	public static NSArray newNSArrayFromVector(Vector vec)
	{
		final int size_vec = vec.size();
		NSMutableArray array = new NSMutableArray(); // TCY̐ݒ肪oȂI
		for (int i = 0; i < size_vec; i++) {
			array.addObject(vec.elementAt(i));
		}
		return array;
	}
}
